#include "StdAfx.h"
#include ".\classifiervector.h"
#include <vector>
using namespace std;
CClassifierVector::CClassifierVector(void)
{
	m_charName = '0';
	m_noOfChars = 0;
	//m_Vectors = NULL;
	m_isCapital = false;
}

CClassifierVector::CClassifierVector(CCharVector &Vector)
{
	m_charName = Vector.GetCharName();
	m_noOfChars = 1;
	//m_Vectors = new CCharVector[m_noOfChars];
	//m_Vectors[m_noOfChars] = Vector;
	m_isCapital = Vector.GetCapital();
	//m_Vectors.push_back(Vector);
}
CClassifierVector::CClassifierVector(CClassifierVector &Vector)
{
	m_charName = Vector.GetCharName();
	m_isCapital = Vector.GetCapital();
	for (int i = 0; i < Vector.GetNoOfChars();i++)
	{
		m_Vectors[i] = Vector.m_Vectors[i];
	}
}
//CClassifierVector::CClassifierVector(char name,bool capital,vector<CClassifierVector> v)
//{
//	m_charName = name;
//	
//	m_Vectors = v;
//	//m_Vectors[m_noOfChars] = Vector;
//	m_isCapital = capital;
//}

CClassifierVector::~CClassifierVector(void)
{
	//delete[] m_Vectors;
}
int CClassifierVector::GetNoOfChars()
{
	return m_noOfChars;
}
int CClassifierVector::AddNewVector(CCharVector &Vector)
{
	int position;
	m_isCapital = Vector.GetCapital();
	m_charName = Vector.GetCharName();
	m_noOfChars = 1;
	m_Vectors[0] = Vector;
	position = 0;
	return position;
}
int CClassifierVector::AddNewCharacter(CCharVector &Vector)
{
	CCharVector newVector[50];
	int position;
	for (int i = 0; i < m_noOfChars; i++)
	{
		
		newVector[i].SetCharName(m_Vectors[i].GetCharName());
		newVector[i].SetCharType(m_Vectors[i].GetCharType());
		newVector[i].SetVMax( m_Vectors[i].GetVMax());
		newVector[i].SetHMax(m_Vectors[i].GetHMax());
		newVector[i].SetWidth(m_Vectors[i].GetWidth());
		newVector[i].SetHeight(m_Vectors[i].GetHeight());
		newVector[i].SetAspectRatio(m_Vectors[i].GetAspectRatio());
		newVector[i].SetNoCrossingV(m_Vectors[i].GetNoCrossingV());
		newVector[i].SetNoCrossingH(m_Vectors[i].GetNoCrossingH());
		//m_ReducedImage;
		newVector[i].SetReducedImageSize(m_Vectors[i].GetReducedImageSize());
		newVector[i].SetNoComponents(m_Vectors[i].GetNoComponents());
		newVector[i].SetNoHoles(m_Vectors[i].GetNoHoles());
		//newVector[i].GetCharImage() = new CImage;
		//newVector[i].GetCharImage()->CreateFromImage(m_Vectors[i].GetCharImage());
		//newVector[i].SetCharImage(m_Vectors[i].GetCharImage());
		newVector[i].SetWeight(m_Vectors[i].GetWeight());
		for (int x = 0; x < 5; x++)
		{
			newVector[i].SetDivision(x,m_Vectors[i].GetDivision(x));
		}
		
		newVector[i].SetNoCrossingV(m_Vectors[i].GetNoCrossingV()); 
		newVector[i].SetNoCrossingH(m_Vectors[i].GetNoCrossingH());
		newVector[i].SetCapital(m_Vectors[i].GetCapital());
		
		//newVector[i] = m_Vectors[i];
	}
	SetCharName(Vector.GetCharName());
	SetCapital(Vector.GetCapital());
	newVector[m_noOfChars] = Vector;
	position = m_noOfChars;
	m_noOfChars++;
	
	for (int i = 0; i < m_noOfChars; i++)
	{
		m_Vectors[i] = newVector[i];
	}
	return position;
}

void CClassifierVector::SetNoOfChars(int val)
{
	m_noOfChars = val;
}
void CClassifierVector::IncreaseNoOfChars()
{
	m_noOfChars++;
}
char CClassifierVector::GetCharName()
{
	return m_charName;
}
void CClassifierVector::SetCharName(char name)
{
	m_charName = name;
}
bool CClassifierVector::GetCapital()
{
	return m_isCapital;
}

void CClassifierVector::SetCapital(bool iscapital)
{
	m_isCapital = iscapital;
}

//void CClassifierVector::CreateFromCharacter(CDIACharacter character)
//{
//	m_charName
//	m_Vectors->SetCharName(character->m_CharName);
//	m_CharType = character->m_CharFinalType;
//	m_VMax = character->m_CharVMaxCount;
//	m_HMax = character->m_CharHMaxCount;
//	m_Width = character->m_LocatedWidth;
//	m_Height = character->m_LocatedHeight;
//	m_AspectRatio = (float)character->m_LocatedHeight/(float) character->m_LocatedWidth;
//	//temp removed
//	//m_VCrossing = character.m_CharCrossings[0].No_Crossings;
//	//m_HCrossing = character.m_CharCrossings[1].No_Crossings;
//	//m_ReducedImage = new int*;
//	//
//
//	//CrossingsH
//	m_CrossingsIndexH = character->m_CharCrossingsIndexH;
//	if (m_CrossingsIndexH > 0)
//	{
//		m_CrossingsH = new CROSSINGS[m_CrossingsIndexH];
//		for (int i = 0; i < m_CrossingsIndexH; i++)
//		{
//			m_CrossingsH[i].Crossings = character->m_CharCrossingsH[i].Crossings;
//			m_CrossingsH[i].NoCrossings = character->m_CharCrossingsH[i].NoCrossings;
//		}
//		
//	}
//	//CrossingsV
//	m_CrossingsIndexV = character->m_CharCrossingsIndexV;
//	if (m_CrossingsIndexV > 0)
//	{
//		m_CrossingsV = new CROSSINGS[m_CrossingsIndexV];
//		for (int i = 0; i < m_CrossingsIndexV; i++)
//		{
//			m_CrossingsV[i].Crossings = character->m_CharCrossingsV[i].Crossings;
//			m_CrossingsV[i].NoCrossings = character->m_CharCrossingsV[i].NoCrossings;
//		}
//		
//	}
//
//	
//	//
//	m_NoComponents = 0;
//	m_NoHoles = 0;
//	m_CharImage = new CImage;
//	m_CharImage->CreateFromImage(character->m_pLocatedCharImage);
//	m_Weight = character->m_CharWeight;
//	m_Divisions[0] = (int)character->m_CharDivisions.Normalized[0][0];
//	m_Divisions[1] = (int)character->m_CharDivisions.Normalized[0][4];
//	m_Divisions[2] = (int)character->m_CharDivisions.Normalized[4][0];
//	m_Divisions[3] = (int)character->m_CharDivisions.Normalized[4][4];
//	m_Divisions[4] = (int)character->m_CharDivisions.Normalized[2][2];
//}

CClassifierVector& CClassifierVector::operator =(CClassifierVector Vector)
{
	m_charName = Vector.GetCharName();
	m_isCapital = Vector.GetCapital();
	m_noOfChars = Vector.GetNoOfChars();
	for (int i = 0; i < m_noOfChars; i++)
	{
		m_Vectors[i] = Vector.m_Vectors[i];
	}
	return *this;
}
