// DIADlgCharEnh.cpp : implementation file
//

#include "stdafx.h"
#include "DocImAn.h"
#include "DIADlgCharEnh.h"
#include "DIACharacter.h"
#include "DIAImage.h"
#include ".\diadlgcharenh.h"


// CDIADlgCharEnh dialog

IMPLEMENT_DYNAMIC(CDIADlgCharEnh, CDialog)
CDIADlgCharEnh::CDIADlgCharEnh(CWnd* pParent /*=NULL*/)
	: CDialog(CDIADlgCharEnh::IDD, pParent)
{
	m_pCharEnh = new CDIADlgCharEnh;
}

CDIADlgCharEnh::~CDIADlgCharEnh()
{
}

void CDIADlgCharEnh::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CDIADlgCharEnh, CDialog)
	ON_BN_CLICKED(IDC_LocateChar, OnBnClickedLocatechar)
END_MESSAGE_MAP()


// CDIADlgCharEnh message handlers

void CDIADlgCharEnh::SetDocument(CDocImAnDoc *pDoc)
{
	m_pCharEnh->m_pdoc = pDoc;
}

void CDIADlgCharEnh::OnBnClickedLocatechar()
{

	CDIAImage * Image;
	
	//find character box for each character
	for (int i = 0; i < m_pCharEnh->m_pdoc->m_LineHolderIndex; i++)
	{
		for (int j = 0; j < m_pCharEnh->m_pdoc->m_pLineHolder[i].m_CharacterHolderIndex; j++)
		{
			Image = new CDIAImage;
			Image->Create(m_pCharEnh->m_pdoc->m_pLineHolder[i].m_pCharacterHolder[j].m_Width,m_pCharEnh->m_pdoc->m_pLineHolder[i].m_pCharacterHolder[j].m_Height,RGB(0,0,0),(LPCTSTR) "BWImage");
		
			m_pCharEnh->m_pdoc->m_pLineHolder[i].m_pCharacterHolder[j].m_pCharImage->Threshold(128,CRect(0,0,m_pCharEnh->m_pdoc->m_pLineHolder[i].m_pCharacterHolder[j].m_Width,(int)m_pCharEnh->m_pdoc->m_pLineHolder[i].m_pCharacterHolder[j].m_Height),Image);
			//m_pCharEnh->LocateChar((CDIABiLevelImage*) Image);
		//	m_pCharEnh->m_pdoc->m_pLineHolder[i].m_pCharacterHolder[j].LocateChar((CDIABiLevelImage*) Image);
			delete Image;
		}
	}
	m_pCharEnh->m_pdoc->m_ShowInBox = true;
	//display character-box

	////CDocImAnDoc* pDoc = GetDocument();
	//ASSERT_VALID(m_pCharEnh->m_pdoc);

	//CDC DC;
	//DC.CreateCompatibleDC(NULL);	
	//CRect cRect; 
	//for (int i = 0; i < m_pCharEnh->m_pdoc->m_LineHolderIndex; i++)
	//{
	//	for (int j = 0; j < m_pCharEnh->m_pdoc->m_pLineHolder[i].m_CharacterHolderIndex; j++)
	//	{
	//		cRect.SetRect(m_pCharEnh->m_pdoc->m_pLineHolder[i].m_pCharacterHolder[j].m_CharLocation.left,
	//					  m_pCharEnh->m_pdoc->m_pLineHolder[i].m_pCharacterHolder[j].m_CharLocation.top,
	//					  m_pCharEnh->m_pdoc->m_pLineHolder[i].m_pCharacterHolder[j].m_CharLocation.right,
	//					  m_pCharEnh->m_pdoc->m_pLineHolder[i].m_pCharacterHolder[j].m_CharLocation.bottom);
	//		//m_pCharEnh->m_pdoc->m_pLineHolder[i].m_pCharacterHolder[j].m_CharLocation.top

	//		DC.DrawEdge(

}

BOOL CDIADlgCharEnh::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_pCharEnh->m_pdoc->CreateNewUndoImage(IT_GREYSCALE);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}
