#pragma once
#include "afxwin.h"
#include "DocImAnDoc.h"
#include "Image.h"



// CDlgAddImages dialog

class CDlgAddImages : public CDHtmlDialog
{
	DECLARE_DYNCREATE(CDlgAddImages)

public:
	CDlgAddImages(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlgAddImages();
	void SetDocument(CDocImAnDoc *pDoc);
	void DisplayImage(CStatic &Wind,CImage* Image);
// Overrides
	HRESULT OnButtonOK(IHTMLElement *pElement);
	HRESULT OnButtonCancel(IHTMLElement *pElement);
	int AddValuesCompensation(int value1, int value2);
	int AddValuesCompensationMean(int value1, int value2);
	int AddValuesDarken(int value1, int value2);
	int AddValuesAddition(int value1, int value2);
	int AddValuesMean(int value1, int value2);

// Dialog Data
	enum { IDD = IDD_AddImages, IDH = IDR_HTML_DLGADDIMAGES };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	

	DECLARE_MESSAGE_MAP()
	DECLARE_DHTML_EVENT_MAP()
public:
	CImage * m_pInitImage;
	CDocImAnDoc * m_pDoc1;
	CDocImAnDoc * m_pDoc2;
	CImage * m_pFinalImage;
	bool m_showImage2, m_showNewImage;
	int indexImage1, indexImage2, indexImage3;


	afx_msg void OnBnClickedModimage1();
	afx_msg void OnBnClickedModimage2();
	CStatic m_Image1Box;
	CStatic m_Image2Box;
	CButton m_GetImage2Button;
	afx_msg void OnPaint();

	CButton m_12Button;
	afx_msg void OnBnClicked12();
	
	CStatic m_newImageBox;
	afx_msg void OnBnClicked21();
	afx_msg void OnBnClickedSubstractionbutton();
	afx_msg void OnBnClickedAdditionbutton();
	afx_msg void OnBnClickedCompensationmean();
};

