// DlgDIASegmentation.cpp : implementation file
//

#include "stdafx.h"
#include "DocImAn.h"
#include "DlgDIASegmentation.h"
#include ".\dlgdiasegmentation.h"


// CDlgDIASegmentation dialog

IMPLEMENT_DYNAMIC(CDlgDIASegmentation, CDialog)
CDlgDIASegmentation::CDlgDIASegmentation(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgDIASegmentation::IDD, pParent)

{
	
}
void CDlgDIASegmentation::Setup_Group()
{
	m_PrepCheck.SetCheck(1);
	
	m_checkSoftPrep.SetCheck(0);
	m_checkNormalPrep.SetCheck(1);
	m_checkProfileSeg.SetCheck(1);
	m_checkFixSeg.SetCheck(0);
	m_checkFixFlexSeg.SetCheck(0);
	m_checkcharProfile.SetCheck(0);
	m_checkcharFix.SetCheck(0);
	m_checkcharFixFlex.SetCheck(1);

	m_checkcharNone.SetCheck(0);
	m_checkcharGlobal.SetCheck(0);
	m_checkcharAdaptive.SetCheck(1);

	m_checkcharNormal.SetCheck(0);
	m_checkcharLocate4.SetCheck(1);

	m_checkcharClassComplete.SetCheck(1);
	m_checkcharClassType.SetCheck(0);



	
}
CDlgDIASegmentation::~CDlgDIASegmentation()
{
}

void CDlgDIASegmentation::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_PREPROCESSING_GROUP, m_PrepGroup);
	DDX_Control(pDX, IDC_CHECK_PREPROCESSING, m_PrepCheck);
	DDX_Control(pDX, IDC_LINESEGMENTATIONGROUP, m_LineSegmentationGroup);
	DDX_Control(pDX, IDC_CHECK5, m_checkSoftPrep);
	DDX_Control(pDX, IDC_CHECK6, m_checkNormalPrep);
	DDX_Control(pDX, IDC_CHECK7, m_checkProfileSeg);
	DDX_Control(pDX, IDC_CHECK8, m_checkFixSeg);
	DDX_Control(pDX, IDC_CHECK9, m_checkFixFlexSeg);
	DDX_Control(pDX, IDC_CHECK_NO_CHAR_SEG, m_checkcharNone);
	DDX_Control(pDX, IDC_CHECK10, m_checkcharGlobal);
	DDX_Control(pDX, IDC_CHECK11, m_checkcharAdaptive);
	DDX_Control(pDX, IDC_CHECK17, m_checkcharNormal);
	DDX_Control(pDX, IDC_CHECK18, m_checkcharLocate4);
	DDX_Control(pDX, IDC_CHECK15, m_checkcharClassComplete);
	DDX_Control(pDX, IDC_CHECK16, m_checkcharClassType);
	DDX_Control(pDX, IDC_CHECK12, m_checkcharProfile);
	DDX_Control(pDX, IDC_CHECK13, m_checkcharFix);
	DDX_Control(pDX, IDC_CHECK14, m_checkcharFixFlex);
	DDX_Control(pDX, IDC_CHECK_CHAR_GAUSS, m_checkcharGaussian);
	DDX_Control(pDX, IDC_CHECK2, m_checkChar2Dplot);
	DDX_Control(pDX, IDC_CHECK3, m_checksave2Dplot);
	DDX_Control(pDX, IDC_RequestThr, m_requestThresh);
}


BEGIN_MESSAGE_MAP(CDlgDIASegmentation, CDialog)
	
END_MESSAGE_MAP()


// CDlgDIASegmentation message handlers

BOOL CDlgDIASegmentation::OnInitDialog()
{
	CDialog::OnInitDialog();
Setup_Group();
	// TODO:  Add extra initialization here

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

//void CDlgDIASegmentation::OnBnClickedCheckPreprocessing()
//{
//	m_PrepCheck.SetCheck(!m_PrepCheck.GetCheck());
//	if (m_PrepCheck.GetCheck())
//	{
//		m_checkNormalPrep.SetCheck(0);
//		m_checkSoftPrep.SetCheck(0);
//	}
//	else 
//	{
//		m_checkNormalPrep.SetCheck(0);
//		m_checkSoftPrep.SetCheck(0);
//	}
//	
//}
//
//


void CDlgDIASegmentation::OnOK()
{
	m_prep = m_PrepCheck.GetCheck();
	m_soft = m_checkSoftPrep.GetCheck();
	m_normal = m_checkNormalPrep.GetCheck();
	m_lineFix = m_checkFixSeg.GetCheck();
	m_lineFixFlex = m_checkFixFlexSeg.GetCheck();
	m_profile = m_checkProfileSeg.GetCheck();
	m_charSegProfile = m_checkcharProfile.GetCheck();
	m_charSegFix = m_checkcharFix.GetCheck();
	m_charSegFixFlex = m_checkcharFixFlex.GetCheck();
	m_charGlobal = m_checkcharGlobal.GetCheck();
	m_charLocal= m_checkcharAdaptive.GetCheck();
	m_charNone = m_checkcharNone.GetCheck();
	m_charLoc1 = m_checkcharNormal.GetCheck();
	m_charLoc2 = m_checkcharLocate4.GetCheck();
	m_charClassComp = m_checkcharClassComplete.GetCheck();
	m_charClassType = m_checkcharClassType.GetCheck();
	m_charGaussian = m_checkcharGaussian.GetCheck();
	m_char2Dplot = m_checkChar2Dplot.GetCheck();
	m_charSave2Dplot = m_checksave2Dplot.GetCheck();
	m_charRequestThresh = m_requestThresh.GetCheck();
	CDialog::OnOK();
}
