#pragma once
#include "afxwin.h"
#include "Image.h"


// CDlgDIASegmentation dialog

class CDlgDIASegmentation : public CDialog
{
	DECLARE_DYNAMIC(CDlgDIASegmentation)

public:
	CDlgDIASegmentation(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlgDIASegmentation();

// Dialog Data
	enum { IDD = IDD_SEGMENTATION };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
private:
	void Setup_Group();
	DECLARE_MESSAGE_MAP()
public:
	CStatic m_PrepGroup;
	CButton m_PrepCheck;
	
	
	virtual BOOL OnInitDialog();
	//afx_msg void OnBnClickedCheckPreprocessing();
	
	CStatic m_LineSegmentationGroup;

	int m_soft, m_normal, m_prep;
	int m_profile, m_lineFix, m_lineFixFlex;
	int m_charSegProfile, m_charSegFix, m_charSegFixFlex;
	int m_charGlobal, m_charLocal, m_charNone, m_charGaussian;
	int m_charLoc1, m_charLoc2;
	int m_charClassComp, m_charClassType;
	int m_char2Dplot;
	int m_charSave2Dplot;
	int m_charRequestThresh;

	CButton m_checkSoftPrep;
	CButton m_checkNormalPrep;
	CButton m_checkProfileSeg;
	CButton m_checkFixSeg;
	CButton m_checkFixFlexSeg;
	CButton m_checkcharNone;
	CButton m_checkcharGlobal;
	CButton m_checkcharAdaptive;
	CButton m_checkcharNormal;
	CButton m_checkcharLocate4;
	CButton m_checkcharClassComplete;
	CButton m_checkcharClassType;
	CButton m_checkcharProfile;
	CButton m_checkcharFix;
	CButton m_checkcharFixFlex;
	CButton m_checkcharGaussian;
	CButton m_checkChar2Dplot;
	CButton m_checksave2Dplot;
	CButton m_requestThresh;
protected:
	virtual void OnOK();

public:
	
};
