#pragma once
#include "afxwin.h"
#include "DocImAnDoc.h"
#include "Image.h"

// CDlgMapViews dialog

class CDlgMapViews : public CDialog
{
	DECLARE_DYNAMIC(CDlgMapViews)

public:
	CDlgMapViews(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlgMapViews();
	void		SetDocument(CDocImAnDoc *pDoc);
	void		DisplayImage(CStatic &Wind,CImage* Image);

// Dialog Data
//	enum { IDD = IDD_DISPLAY_STANDARD_MAP };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CStatic m_Image_Display_Box;
	CButton m_Check_Background;
	afx_msg void OnBnClickedShowBackgr();
	virtual BOOL OnInitDialog();
	CDocImAnDoc * m_pdoc;
	afx_msg void OnPaint();
	afx_msg void OnBnClickedCheckEdge();
	CButton m_Check_Edges;
	afx_msg void OnBnClickedShowStroke100();
	CButton m_Check_Stroke100;
};
