#pragma once

class CClassList
{

private:
	typedef struct ItemType
	{
		char level;
		char value;
		char Name[10];
		int n_chars;
		char* pchars;
	};
	typedef struct ListNode
	{
		ItemType data;
		ListNode* next;
		ListNode* SubList;

	};
public:
	CClassList(void); //constructor - initialize private variables
	~CClassList(void); //destructor - free used memory

	
   void insert(const ItemType); //insert new node at current location
   void deleteItem(); //remove the current node
   void next(); //set current to the next node in the list
   void prev(); //set current to the previous node in the list
   void reset(); //set current to the first node in the list
   void clear(); //remove all nodes in the list
   int length(); //return the amount of nodes in the list
   bool IsEmpty(); //returns true if the list doesn't have any nodes
   bool IsFull(); //returns true if there is no system memory for additional nodes
   ItemType value(); //returns the value of the current node
 //  ListNode* Find(int level);

private:
	ListNode *list; //points to the list header
	ListNode *prevcurrent;
	int len;


};
