// DIADlgFindDivisions.cpp : implementation file
//

#include "stdafx.h"
#include "DocImAn.h"
#include "DIADlgFindDivisions.h"
#include "DlgPerfectChars2.h"
#include ".\diadlgfinddivisions.h"


// CDIADlgFindDivisions dialog

IMPLEMENT_DYNAMIC(CDIADlgFindDivisions, CDialog)
CDIADlgFindDivisions::CDIADlgFindDivisions(CWnd* pParent /*=NULL*/)
	: CDialog(CDIADlgFindDivisions::IDD, pParent)
{
	m_pCharHolder = new CDIACharacter[5];
	m_pSizeHolder = new CPoint[5];
	m_CharHolderIndex = 0;
	m_SizeHolderIndex = 0;
	//m_pResults = new int* [];
	//m_ResultsIndex = 0;
	m_NumChars = 0;
	m_bDisplayBitmaps = false;
	m_bDisplayStatistics = false;
	m_bDisplayDifferences = false;

}

CDIADlgFindDivisions::~CDIADlgFindDivisions()
{
	ClearAll();
	//delete m_pCharHolder;
	/*delete m_pSizeHolder;
	delete []m_Statistics;
	delete []m_Differences;
}*/
}
	void CDIADlgFindDivisions::ClearAll()
{
	
	//m_ResultsIndex = 0;
	m_NumChars = 0;
	m_bDisplayBitmaps = false;
	m_bDisplayStatistics = false;
	m_bDisplayDifferences = false;
	/*if (m_CharHolderIndex > 0)
		for (int i = m_CharHolderIndex

		delete []m_pCharHolder;*/
	if (m_pSizeHolder != NULL)
		delete m_pSizeHolder;
	m_CharHolderIndex = 0;
	m_SizeHolderIndex = 0;
	if (m_bDisplayStatistics)
		delete []m_Statistics;
	if (m_bDisplayDifferences)
		delete []m_Differences;

}

void CDIADlgFindDivisions::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CharLine, m_EdCharLine);
	DDX_Control(pDX, IDC_CharNum, m_EdCharNum);
	DDX_Control(pDX, IDC_Size, m_EdSize);
	DDX_Control(pDX, IDC_Results, m_ListResults);
	DDX_Control(pDX, IDC_Size2, m_EdSize2);
	DDX_Control(pDX, IDC_BITMAP1, m_Bitmap1);
	DDX_Control(pDX, IDC_BITMAP2, m_Bitmap2);
	DDX_Control(pDX, IDC_BITMAP3, m_Bitmap3);
	DDX_Control(pDX, IDC_BITMAP4, m_Bitmap4);
	DDX_Control(pDX, IDC_ED_SHOWN_SIZE, m_ShownSize);
	//DDX_Control(pDX, IDC_ED_RESULTS, m_EdResults);
}


BEGIN_MESSAGE_MAP(CDIADlgFindDivisions, CDialog)
	ON_BN_CLICKED(IDC_ChooseMoreChars, OnBnClickedChoosemorechars)
	ON_BN_CLICKED(IDC_ChooseMoreSizes, OnBnClickedChoosemoresizes)
	ON_BN_CLICKED(IDC_GetResults, OnBnClickedGetresults)
	ON_BN_CLICKED(IDC_NEXT_SIZE, OnBnClickedNextSize)
	ON_BN_CLICKED(IDC_DISPLAY_BITMAPS, OnBnClickedDisplayBitmaps)
	ON_WM_PAINT()
	ON_BN_CLICKED(IDC_GET_DIFFERENCE, OnBnClickedGetDifference)
	ON_BN_CLICKED(IDC_CLEAN_ALL, OnBnClickedCleanAll)
	ON_BN_CLICKED(IDC_ADD_PERFECT_CHAR, OnBnClickedAddPerfectChar)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, OnBnClickedCancel)
END_MESSAGE_MAP()


// CDIADlgFindDivisions message handlers

void CDIADlgFindDivisions::SetDocument(CDocImAnDoc *pDoc)
{
	m_pDoc = pDoc;
}
CDocImAnDoc* CDIADlgFindDivisions::GetDocument()
{
	return m_pDoc;
}
CImage * CDIADlgFindDivisions::GetImage()
{
	if (m_pDoc != NULL)	return m_pDoc->GetActiveImage();
	else return NULL;
}
void CDIADlgFindDivisions::OnBnClickedChoosemorechars()
{
	if (m_CharHolderIndex <= 4)
	{
		//m_NumChars++;

		CString Line,Num;
		m_EdCharLine.GetWindowText(Line);
		iLine = _ttoi(Line);
		m_EdCharNum.GetWindowText(Num);
		iNum = _ttoi(Num);

		//copy important bits from character
		m_pCharHolder[m_CharHolderIndex].m_CharLocation = GetDocument()->m_pLineHolder[iLine].m_pCharacterHolder[iNum].m_CharLocation;
		m_pCharHolder[m_CharHolderIndex].m_CharLineNum = iLine;
		m_pCharHolder[m_CharHolderIndex].m_CharNum = iNum;
		for (int i = 0; i<5; i++)
		{
			m_pCharHolder[m_CharHolderIndex].m_CharType[i] = GetDocument()->m_pLineHolder[iLine].m_pCharacterHolder[iNum].m_CharType[i];
		}
		m_pCharHolder[m_CharHolderIndex].m_Height = GetDocument()->m_pLineHolder[iLine].m_pCharacterHolder[iNum].m_Height;
		m_pCharHolder[m_CharHolderIndex].m_Width = GetDocument()->m_pLineHolder[iLine].m_pCharacterHolder[iNum].m_Width;
		m_pCharHolder[m_CharHolderIndex].m_Position_X = GetDocument()->m_pLineHolder[iLine].m_pCharacterHolder[iNum].m_Position_X;
		m_pCharHolder[m_CharHolderIndex].m_Position_Y = GetDocument()->m_pLineHolder[iLine].m_pCharacterHolder[iNum].m_Position_Y;
		m_pCharHolder[m_CharHolderIndex].m_pCharImage = GetDocument()->m_pLineHolder[iLine].m_pCharacterHolder[iNum].m_pCharImage;
		m_CharHolderIndex++;
	}

}

void CDIADlgFindDivisions::OnBnClickedChoosemoresizes()
{
	if (m_SizeHolderIndex <= 4)
	{	CString Size;
		m_EdSize.GetWindowText(Size);
		int iSize = _ttoi(Size);
		m_EdSize2.GetWindowText(Size);
		int iSize2 = _ttoi(Size);


		m_pSizeHolder[m_SizeHolderIndex].x = iSize;
		m_pSizeHolder[m_SizeHolderIndex].y = iSize2;
		m_SizeHolderIndex++;
		
	
	}
}

void CDIADlgFindDivisions::OnBnClickedGetresults()
{
	//for each character, for each of the sizes divide, calculate and display differences
	if ((m_CharHolderIndex > 0) && (m_SizeHolderIndex > 0))
	{
		m_pResults = new Divisions* [m_SizeHolderIndex];
		for (int i = 0; i < m_SizeHolderIndex; i++)
		{
			m_pResults[i] = new Divisions [m_CharHolderIndex];
			for (int j = 0; j < m_CharHolderIndex; j++)
			{
				
				m_pResults[i][j].size = m_pSizeHolder[i];
				m_pResults[i][j].Value = new int* [m_pResults[i][j].size.x];
				for (int s = 0; s < m_pResults[i][j].size.x; s++)
				{
					m_pResults[i][j].Value[s] = new int [m_pResults[i][j].size.y];
				}
				//m_pResults[i][j].Value = m_pCharHolder[j].ComputeCharDivision(m_pSizeHolder[i]);
				m_pResults[i][j].Value = m_pCharHolder[j].ComputeCharDivisionBynBoxes(m_pSizeHolder[i]);
				
				/*m_pResults[i][j].nBoxes.x = div(m_pCharHolder[j].GetWidth(),m_pSizeHolder[i].x).quot;
				m_pResults[i][j].nBoxes.y = div(m_pCharHolder[j].GetHeight(),m_pSizeHolder[i].y).quot;*/

				//int valuew = div(GetWidth(),size).quot;
				//m_pResults[i][j].Normalized
			}
		}
	}
	//Compute Statistics
	m_Statistics = new Divisions[m_SizeHolderIndex];
	int BestSize = 0;
	for (int i = 0; i < m_SizeHolderIndex; i++)
	{
		m_Statistics[i].Value = new int* [m_pSizeHolder[i].x];
		m_Statistics[i].Normalized = new float* [m_pSizeHolder[i].x];
		for (int s = 0; s < m_pSizeHolder[i].x; s++)
		{
			m_Statistics[i].Value[s] = new int [m_pSizeHolder[i].y];
			m_Statistics[i].Normalized[s] = new float [m_pSizeHolder[i].y];
		}
		m_Statistics[i].size = m_pSizeHolder[i];
		m_Statistics[i].Value = ComputeStatistics(m_Statistics[i].size,i);
		m_Statistics[i].Normalized = NormalizeValues(m_Statistics[i].Value,m_Statistics[i].size,255);
	}

	//show results on display
	CString Line,Num;
	m_EdCharLine.GetWindowText(Line);
	int iLine = _ttoi(Line);
	m_EdCharNum.GetWindowText(Num);
	int iNum = _ttoi(Num);
	char c = '\n';
	CString textFirstLine, textData, textEndLine;
	textEndLine.Format(_T("|%c"),c);
	for (int i = 0; i < m_SizeHolderIndex; i++)
	{
		
		textFirstLine.Format(_T("Character%d-%d, Size: X-%d Y-%d"),iLine, iNum,m_Statistics[i].size.x,m_Statistics[i].size.y);
		//VarName.Format(_T("%sCharacter%d-%d.csv"),m_ImageName,m_CharLineNum,m_CharNum); 
		m_ListResults.AddString(textFirstLine);
		for (int x = 0; x < m_Statistics[i].size.x; x++)
		{	
			for (int y = 0; y < m_Statistics[i].size.y; y++)
			{
				textData.Format(_T("|Pos: %d-%d, Val:%d, Norm:%f |"),x,y,m_Statistics[i].Value[x][y],m_Statistics[i].Normalized[x][y]);
				m_ListResults.AddString(textData);
				
			}

			//m_ListResults.AddString(textEndLine);

		}
	}

//delete results and others
}

int** CDIADlgFindDivisions::ComputeStatistics(CPoint Size,int SizeIndex)
{
	


	//create
	int** statistics;
	statistics = new int*[Size.x];
	int count = 0;
	for (int s = 0; s < Size.x; s++)
	{
		statistics[s] = new int [Size.y];
	}
	//initialize
	for (int x = 0; x < Size.x;x++)
	{
		for (int y = 0; y < Size.y; y++)
		{
			statistics[x][y] = 0;
		}
	}
	
		
	//for (int i = 0; i < m_SizeHolderIndex; i++)
	//{
		for (int j = 0; j < m_CharHolderIndex; j++)
		{
			//for each of the characters of that size get statistics
			//and for each of the blocks on that character
			for (int x = 0; x < Size.x; x++)
			{
				for (int y = 0; y < Size.y; y++)
				{
					statistics[x][y] += m_pResults[SizeIndex][j].Value[x][y];
				}
			}
	//	}
	}
	return statistics;

}

float** CDIADlgFindDivisions::NormalizeValues(int ** InValues, CPoint size,int TopVal )
{
	//to normalize we make the values between the range 0 and 1.
	
	float** OutValues;
	int max = 0;
	OutValues = new float* [size.x];
	for (int i = 0; i < size.x; i ++)
	{
		OutValues[i] = new float [size.y];
		for (int j = 0; j < size.y; j++)
		{
			//OutValues[i][j] = InValues[i][j]/255;
			if (InValues[i][j] > max) max = InValues[i][j];
		}
	}
	for (int i = 0; i < size.x; i ++)
	{
		for (int j = 0; j < size.y; j++)
		{
			OutValues[i][j] = ((float)InValues[i][j]/(float)max);
			OutValues[i][j] = OutValues[i][j] * TopVal;
		}
	}
	return OutValues;
}

void CDIADlgFindDivisions::DisplayBitmap(CStatic &box,float** values, CPoint size)
{

	CDC * pDC = box.GetDC();
	CRect rect;
	box.GetClientRect(&rect);
	CRgn ClipRgn;
	ClipRgn.CreateRectRgn(rect.left, rect.top, rect.right, rect.bottom);
	pDC->SelectClipRgn(&ClipRgn);
	

	CBitmap bmp;
	CDC dc;
	int bpp = pDC->GetDeviceCaps(BITSPIXEL);
	int planes = pDC->GetDeviceCaps(PLANES);

	CPen pen;//(PS_SOLID,0, RGB(0,0,0));
	
	//LOGPEN penInfo;
	
	dc.CreateCompatibleDC(NULL);
	bmp.CreateBitmap(size.x,size.y,bpp,planes,NULL);
	
	//Image->GetBitmap(&bmp);
	/*int m_HistoWidth = Image->GetWidth();
	int m_HistoHeight = Image->GetHeight();*/
	dc.SelectObject(&bmp);
	
	//dc.SelectObject(pen);
	for (int i = 0; i < size.x; i++)
	{
		for (int j = 0; j < size.y; j++)
		{
			
			pen.CreatePen(PS_SOLID,0,RGB((int)values[i][j],(int)values[i][j],(int)values[i][j]));
			dc.SelectObject(pen);
			dc.MoveTo(i,j);
			dc.LineTo(i+1,j+1);
			pen.DeleteObject();
		}
	}

	//dc.MoveTo(0,HistoD->GetMaximum());


	pDC->SetStretchBltMode(COLORONCOLOR);
	pDC->StretchBlt(0,0,rect.Width(), rect.Height(),&dc,0,0,size.x,size.y,SRCCOPY);
	
}
void CDIADlgFindDivisions::DisplayBitmap(CStatic &box,int** values, CPoint size)
{

	CDC * pDC = box.GetDC();
	CRect rect;
	box.GetClientRect(&rect);
	CRgn ClipRgn;
	ClipRgn.CreateRectRgn(rect.left, rect.top, rect.right, rect.bottom);
	pDC->SelectClipRgn(&ClipRgn);
	

	CBitmap bmp;
	CDC dc;
	int bpp = pDC->GetDeviceCaps(BITSPIXEL);
	int planes = pDC->GetDeviceCaps(PLANES);

	CPen pen;//(PS_SOLID,0, RGB(0,0,0));
	
	//LOGPEN penInfo;
	
	dc.CreateCompatibleDC(NULL);
	bmp.CreateBitmap(size.x,size.y,bpp,planes,NULL);
	
	//Image->GetBitmap(&bmp);
	/*int m_HistoWidth = Image->GetWidth();
	int m_HistoHeight = Image->GetHeight();*/
	dc.SelectObject(&bmp);
	
	//dc.SelectObject(pen);
	for (int i = 0; i < size.x; i++)
	{
		for (int j = 0; j < size.y; j++)
		{
			
			pen.CreatePen(PS_SOLID,0,RGB((int)values[i][j],(int)values[i][j],(int)values[i][j]));
			dc.SelectObject(pen);
			dc.MoveTo(i,j);
			dc.LineTo(i+1,j+1);
			pen.DeleteObject();
		}
	}

	//dc.MoveTo(0,HistoD->GetMaximum());


	pDC->SetStretchBltMode(COLORONCOLOR);
	pDC->StretchBlt(0,0,rect.Width(), rect.Height(),&dc,0,0,size.x,size.y,SRCCOPY);
	
}
void CDIADlgFindDivisions::OnBnClickedNextSize()
{
	
}

void CDIADlgFindDivisions::OnBnClickedDisplayBitmaps()
{
	m_bDisplayBitmaps = true;
	for (int i = 0; i < m_SizeHolderIndex; i++)
	{
		switch (i)
		{
		case 0:
			{
				if (m_bDisplayDifferences)
					DisplayBitmap(m_Bitmap1,m_Differences[i].Value,m_Differences[i].size);
				else
					DisplayBitmap(m_Bitmap1,m_Statistics[i].Normalized,m_Statistics[i].size);
				break;
			}
		case 1:
			{
				if (m_bDisplayDifferences)
					DisplayBitmap(m_Bitmap2,m_Differences[i].Value,m_Differences[i].size);
				else
					DisplayBitmap(m_Bitmap2,m_Statistics[i].Normalized,m_Statistics[i].size);
				break;
			}
		case 2:
			{
				if (m_bDisplayDifferences)
					DisplayBitmap(m_Bitmap3,m_Differences[i].Normalized,m_Differences[i].size);
				else
					DisplayBitmap(m_Bitmap3,m_Statistics[i].Normalized,m_Statistics[i].size);
				break;
			}
		case 3:
			{
				if (!m_bDisplayDifferences)
				DisplayBitmap(m_Bitmap4,m_Statistics[i].Normalized,m_Statistics[i].size);
				break;
			}
		}
	}
}

void CDIADlgFindDivisions::OnPaint()
{
	CPaintDC dc(this); // device context for painting
	if (m_bDisplayBitmaps) OnBnClickedDisplayBitmaps();
}

void CDIADlgFindDivisions::OnBnClickedGetDifference()
{
	//for each character, for each of the sizes divide, calculate and display differences
	if ((m_CharHolderIndex > 0) && (m_SizeHolderIndex > 0))
	{
		m_pResults = new Divisions* [m_SizeHolderIndex];
		for (int i = 0; i < m_SizeHolderIndex; i++)
		{
			m_pResults[i] = new Divisions [m_CharHolderIndex];
			for (int j = 0; j < m_CharHolderIndex; j++)
			{
				
				m_pResults[i][j].size = m_pSizeHolder[i];
				m_pResults[i][j].Value = new int* [m_pResults[i][j].size.x];
				for (int s = 0; s < m_pResults[i][j].size.x; s++)
				{
					m_pResults[i][j].Value[s] = new int [m_pResults[i][j].size.y];
				}
				//m_pResults[i][j].Value = m_pCharHolder[j].ComputeCharDivision(m_pSizeHolder[i]);
				m_pResults[i][j].Value = m_pCharHolder[j].ComputeCharDivisionBynBoxes(m_pSizeHolder[i]);
			
			}
		}
	}
	//Compute Differences
	//Is is going to show the difference between the first two characters
	//in all the different sizes chosen
	m_Differences = new Divisions[m_SizeHolderIndex];
	//int BestSize = 0;
	for (int i = 0; i < m_SizeHolderIndex; i++)
	{
		m_Differences[i].Value = new int* [m_pSizeHolder[i].x];
		m_Differences[i].Normalized = new float* [m_pSizeHolder[i].x];
		for (int s = 0; s < m_pSizeHolder[i].x; s++)
		{
			m_Differences[i].Value[s] = new int [m_pSizeHolder[i].y];
			m_Differences[i].Normalized[s] = new float [m_pSizeHolder[i].y];
		}
		m_Differences[i].size = m_pSizeHolder[i];
		m_Differences[i].Value = ComputeDifferences(m_pResults[i][0],m_pResults[i][1]);
		m_Differences[i].Normalized = NormalizeValues(m_Differences[i].Value,m_Differences[i].size,255);
	}

	//show results on display
	CString Line,Num;
	m_EdCharLine.GetWindowText(Line);
	int iLine = _ttoi(Line);
	m_EdCharNum.GetWindowText(Num);
	int iNum = _ttoi(Num);
	char c = '\n';
	CString textFirstLine, textData, textEndLine;
	textEndLine.Format(_T("|%c"),c);
	for (int i = 0; i < m_SizeHolderIndex; i++)
	{
		
		textFirstLine.Format(_T("Character%d-%d, Size: X-%d Y-%d"),iLine, iNum,m_Differences[i].size.x,m_Differences[i].size.y);
		//VarName.Format(_T("%sCharacter%d-%d.csv"),m_ImageName,m_CharLineNum,m_CharNum); 
		m_ListResults.AddString(textFirstLine);
		for (int x = 0; x < m_Differences[i].size.x; x++)
		{	
			for (int y = 0; y < m_Differences[i].size.y; y++)
			{
				textData.Format(_T("|Pos: %d-%d, Val:%d, Norm:%f |"),x,y,m_Differences[i].Value[x][y],m_Differences[i].Normalized[x][y]);
				m_ListResults.AddString(textData);
				
			}

			//m_ListResults.AddString(textEndLine);

		}
	}

}

int** CDIADlgFindDivisions::ComputeDifferences(Divisions first,Divisions second)
{
	
	 m_bDisplayDifferences = true;
	int** result;
	result = new int*[first.size.x];
	for (int s = 0; s < first.size.x; s++)
	{
		result[s] = new int[first.size.y];
	}
	for (int i = 0; i < first.size.x; i++)
	{
		for (int j = 0; j < first.size.y; j++)
		{
			result[i][j] = first.Value[i][j] - second.Value[i][j];
			if (result[i][j] < 0) result[i][j] = result[i][j] - (2*result[i][j]);
			
		}
		
	}
	return result;


}

void CDIADlgFindDivisions::OnBnClickedCleanAll()
{
	//we delete everything to start over the calculations
	ClearAll();
}

void CDIADlgFindDivisions::OnBnClickedAddPerfectChar()
{
	
		CDlgPerfectChars2 dlg;
		if ((iLine >= 0) && (iNum >=0))
		{
			
			m_pDoc->m_pLineHolder[iLine].m_pCharacterHolder[iNum].CreateCharImage(m_pDoc->GetActiveImage(),false);
			m_pDoc->m_pLineHolder[iLine].m_pCharacterHolder[iNum].CreateLocatedCharImage(m_pDoc->m_pLineHolder[iLine].m_pCharacterHolder[iNum].m_pCharImage,true);
			dlg.SetCharacter(&m_pDoc->m_pLineHolder[iLine].m_pCharacterHolder[iNum]);
			dlg.SetDocument(GetDocument());

			if (IDOK == dlg.DoModal())
			{
				Invalidate(FALSE);
			}
		}
	
}

BOOL CDIADlgFindDivisions::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	// TODO:  Add extra initialization here

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CDIADlgFindDivisions::OnBnClickedOk()
{
	//GetDocument()->ExportCharVectorToFile();
	OnOK();
}

void CDIADlgFindDivisions::OnBnClickedCancel()
{
	//GetDocument()->ExportCharVectorToFile();
	OnCancel();
}
