// DemoFTRIm.cpp : implementation file
//

#include "stdafx.h"
#include "DocImAn.h"
#include "DemoFTRIm.h"
#include ".\demoftrim.h"


// DemoFTRIm dialog

IMPLEMENT_DYNAMIC(DemoFTRIm, CDialog)
DemoFTRIm::DemoFTRIm(CWnd* pParent /*=NULL*/)
	: CDialog(DemoFTRIm::IDD, pParent)
{
}

DemoFTRIm::~DemoFTRIm()
{
}

void DemoFTRIm::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CTIm, m_CT_im);
	DDX_Control(pDX, IDC_ABIM, m_ab_im);
	DDX_Control(pDX, IDC_Combiation, m_Comb_im);
}

void DemoFTRIm::DisplayImage(CStatic &Wind,CImage* Image)

{
	//
	CDC * pDC = Wind.GetDC();
	CRect rect;
	Wind.GetClientRect(&rect);
	CRgn ClipRgn;
	ClipRgn.CreateRectRgn(rect.left, rect.top, rect.right, rect.bottom);
	pDC->SelectClipRgn(&ClipRgn);
	

	CBitmap bmp;
	CDC dc;
	
	dc.CreateCompatibleDC(NULL);
	Image->GetBitmap(&bmp);
	int m_ImageWidth = Image->GetWidth();
	int m_ImageHeight = Image->GetHeight();
	dc.SelectObject(&bmp);
	pDC->SetStretchBltMode(COLORONCOLOR);
	pDC->StretchBlt(0,0,rect.Width(), rect.Height(),&dc,0,0,m_ImageWidth,m_ImageHeight,SRCCOPY);
	
	
	
}

BEGIN_MESSAGE_MAP(DemoFTRIm, CDialog)
	ON_WM_PAINT()
END_MESSAGE_MAP()


// DemoFTRIm message handlers

void DemoFTRIm::OnPaint()
{
	CPaintDC dc(this); // device context for painting
	DisplayImage(m_CT_im,m_pDoc->GetUndoImage(m_pDoc->m_index-3));
	DisplayImage(m_ab_im,m_pDoc->GetUndoImage(m_pDoc->m_index-2));
	DisplayImage(m_Comb_im,m_pDoc->GetActiveImage());
}

BOOL DemoFTRIm::OnInitDialog()
{
	CDialog::OnInitDialog();

	// TODO:  Add extra initialization here

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void DemoFTRIm::OnOK()
{
	CDialog::OnOK();
}

void DemoFTRIm::SetDocument(CDocImAnDoc *pDoc)
{
	m_pDoc = pDoc;
}