// DlgMapViews.cpp : implementation file
//

#include "stdafx.h"
#include "DocImAn.h"
#include "DlgMapViews.h"



// CDlgMapViews dialog

IMPLEMENT_DYNAMIC(CDlgMapViews, CDialog)
CDlgMapViews::CDlgMapViews(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgMapViews::IDD, pParent)
{

	//m_Check_Background.SetButtonStyle(TBBS_CHECKBOX,1);
}

CDlgMapViews::~CDlgMapViews()
{
}

void CDlgMapViews::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//DDX_Control(pDX, IDC_DISPLAY_IMAGE, m_Image_Display_Box);
	//DDX_Control(pDX, IDC_SHOW_BACKGR, m_Check_Background);
	//DDX_Control(pDX, IDC_CHECK_EDGE, m_Check_Edges);
	//DDX_Control(pDX, IDC_SHOW_STROKE100, m_Check_Stroke100);
}


BEGIN_MESSAGE_MAP(CDlgMapViews, CDialog)
	/*ON_BN_CLICKED(IDC_SHOW_BACKGR, OnBnClickedShowBackgr)
	ON_WM_PAINT()
	ON_BN_CLICKED(IDC_CHECK_EDGE, OnBnClickedCheckEdge)
	ON_BN_CLICKED(IDC_SHOW_STROKE100, OnBnClickedShowStroke100)*/
END_MESSAGE_MAP()


// CDlgMapViews message handlers

void CDlgMapViews::OnBnClickedShowBackgr()
{
	//if (m_Check_Background
	//	(m_Check_Background.CheckDlgButton(IDC_SHOW_BACKGR,1))
	if(m_Check_Background.GetCheck())
	{
		m_Check_Background.SetCheck(1);
		m_pdoc->GetUndoImage(0)->GetImageMap(PDM_STANDARD)->SetPTVisible(0,true);

	}else
	{
		m_Check_Background.SetCheck(0);
		m_pdoc->GetUndoImage(0)->GetImageMap(PDM_STANDARD)->SetPTVisible(0,false);
	}
	//m_pdoc->UpdateAllViews(this,0L,NULL);
	m_pdoc->GetUndoImage(0)->SetDirty();
}

BOOL CDlgMapViews::OnInitDialog()
{
	CDialog::OnInitDialog();

	DisplayImage(m_Image_Display_Box,m_pdoc->GetUndoImage(0));
	m_Check_Background.SetCheck(0);
	m_Check_Edges.SetCheck(0);
	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgMapViews::SetDocument(CDocImAnDoc *pDoc)
{
	m_pdoc = pDoc;
}

void CDlgMapViews::DisplayImage(CStatic &Wind,CImage* Image)

{
	//
	CDC * pDC = Wind.GetDC();
	CRect rect;
	Wind.GetClientRect(&rect);
	CRgn ClipRgn;
	ClipRgn.CreateRectRgn(rect.left, rect.top, rect.right, rect.bottom);
	pDC->SelectClipRgn(&ClipRgn);
	

	CBitmap bmp;
	CDC dc;
	
	dc.CreateCompatibleDC(NULL);
	Image->GetBitmap(&bmp);
	int m_ImageWidth = Image->GetWidth();
	int m_ImageHeight = Image->GetHeight();
	dc.SelectObject(&bmp);
	pDC->SetStretchBltMode(COLORONCOLOR);
	pDC->StretchBlt(0,0,rect.Width(), rect.Height(),&dc,0,0,m_ImageWidth,m_ImageHeight,SRCCOPY);
	
	
	
}
void CDlgMapViews::OnPaint()
{
	CPaintDC dc(this); // device context for painting
	DisplayImage(m_Image_Display_Box,m_pdoc->GetUndoImage(0));
	m_pdoc->GetUndoImage(0)->SetDirty();
	// Do not call CDialog::OnPaint() for painting messages
}

void CDlgMapViews::OnBnClickedCheckEdge()
{
	if(m_Check_Edges.GetCheck())
	{
		m_Check_Edges.SetCheck(1);
		m_pdoc->GetUndoImage(0)->GetImageMap(PDM_STANDARD)->SetPTVisible(2,true);

	}else
	{
		m_Check_Edges.SetCheck(0);
		m_pdoc->GetUndoImage(0)->GetImageMap(PDM_STANDARD)->SetPTVisible(2,false);
	}
	//m_pdoc->UpdateAllViews(this,0L,NULL);
	m_pdoc->GetUndoImage(0)->SetDirty();
}

void CDlgMapViews::OnBnClickedShowStroke100()
{
	if(m_Check_Stroke100.GetCheck())
	{
		m_Check_Stroke100.SetCheck(1);
		m_pdoc->GetUndoImage(0)->GetImageMap(PDM_STANDARD)->SetPTVisible(1,true);

	}else
	{
		m_Check_Stroke100.SetCheck(0);
		m_pdoc->GetUndoImage(0)->GetImageMap(PDM_STANDARD)->SetPTVisible(1,false);
	}
	//m_pdoc->UpdateAllViews(this,0L,NULL);
	m_pdoc->GetUndoImage(0)->SetDirty();
}
