// DlgOcr.cpp : implementation file
//

#include "stdafx.h"
#include "DocImAn.h"
#include "DlgOcr.h"
#include ".\dlgocr.h"
#include "DIADlgHistogramTransformation.h"

#import "MDIVWCTL.DLL"
using namespace MODI;



// CDlgOcr dialog

IMPLEMENT_DYNAMIC(CDlgOcr, CDialog)
CDlgOcr::CDlgOcr(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgOcr::IDD, pParent)
{
}

CDlgOcr::~CDlgOcr()
{
}

void CDlgOcr::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_ImageWindow, m_ImageWindow);
//	DDX_Control(pDX, IDC_MIDOCVIEW4, m_MODIOCRViewer);
	//DDX_Control(pDX, IDC_TEXT_WINDOW, m_TextWindow);
//	DDX_Control(pDX, IDC_OUTPUT_TEXT_LIST, m_Output_Text);
	DDX_Control(pDX, IDC_COMBO_OCR_TEXT, m_comboTextBox);
}


BEGIN_MESSAGE_MAP(CDlgOcr, CDialog)
	ON_BN_CLICKED(IDC_OCR_PAGE, OnBnClickedOcrPage)
	ON_WM_PAINT()
END_MESSAGE_MAP()


// CDlgOcr message handlers
// DlgOCR.cpp : implementation file
//


void CDlgOcr::OnBnClickedOcrPage()
{


//	Do the following:
//1.- #import the library.
//2.- ::CoInitialize(NULL);
//3.- MODI::IDocumentPtr pDoc = NULL;
//4.- pDoc.CreateInstance(__uuidof(MODI::Document));
	

//	The whole process in 6 lines..
//
//[STAThread]
//  static void Main(string[] args)
//  {
//    MODI.Document doc = new Document();
//    doc.Create(@"example.tif");
//    doc.OCR(MODI.MiLANGUAGES.miLANG_ENGLISH,false,false);
//    doc.Save();
//    MODI.Image img = (MODI.Image)doc.Images[0];
//    Console.WriteLine(img.Layout.Text);
//  }

	MODI::IDocumentPtr miDoc = NULL;
	miDoc.CreateInstance(__uuidof(MODI::Document));
	
	
	//MODI::IDocumentPtr miDoc = new IDocument();
	
	//miDoc.Create(m_pDoc1->GetActiveImage()->GetName());
	//miDoc.OCR(MODI::MiLANGUAGES::miLANG_GERMAN,false, false);
	//miDoc.Save();
	//MODI::IImage Img = (MODI::IImage)miDoc.Images[0];
	//MODI::ILayout miLayout = (MODI::ILayout)Img.Layout;

	//

	////Set miWord = miDoc.Images(0).Layout.Words(2)
	//for (int i = 0; i < miLayout.NumWords; i++)
	//{
	//	MODI::IWord miWord = (MODI::IWord) miLayout.Words;
	//	//miWord.GetText()
	//	//miWord
	//	m_comboTextBox.AddString(_T(miWord.GetText()));
	//	//m_Output_Text.SetWindowText(miLayout.Words);
	//}
		
}

BOOL CDlgOcr::OnInitDialog()
{
	CDialog::OnInitDialog();

	

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgOcr::OnPaint()
{
	CPaintDC dc(this); // device context for painting
	CDIADlgHistogramTransformation::DisplayImage(m_ImageWindow,m_pDoc1->GetActiveImage());
}
CImage * CDlgOcr::GetImage()
{
	if ( m_pDoc1 != NULL)	return m_pDoc1->GetActiveImage();
	else return NULL;
}

void CDlgOcr::SetDocument(CDocImAnDoc *pDoc)
{
	m_pDoc1 = pDoc;
	//Change Histograms and displays
	 //OnImageChange();
}

