// DlgSetUncertainAreas.cpp : implementation file
//

#include "stdafx.h"
#include "DocImAn.h"
#include "DlgSetUncertainAreas.h"
#include ".\dlgsetuncertainareas.h"


// CDlgSetUncertainAreas dialog

IMPLEMENT_DYNAMIC(CDlgSetUncertainAreas, CDialog)
CDlgSetUncertainAreas::CDlgSetUncertainAreas(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgSetUncertainAreas::IDD, pParent)
{
}

CDlgSetUncertainAreas::~CDlgSetUncertainAreas()
{
}

void CDlgSetUncertainAreas::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CHECK19, m_ckOrangeSmallON);
	DDX_Control(pDX, IDC_CHECK31, m_ckOrangeLargeON);
	DDX_Control(pDX, IDC_CHECK1, m_ckOrangeSmallOFF);
	DDX_Control(pDX, IDC_CHECK30, m_ckOrangeLargeOFF);
	DDX_Control(pDX, IDC_CHECK25, m_ckOrangeSmallGREY);
	DDX_Control(pDX, IDC_CHECK32, m_ckOrangeLargeGREY);
	DDX_Control(pDX, IDC_CHECK21, m_ckGreenSmallON);
	DDX_Control(pDX, IDC_CHECK34, m_ckGreenLargeON);
	DDX_Control(pDX, IDC_CHECK20, m_ckGreenSmallOFF);
	DDX_Control(pDX, IDC_CHECK33, m_ckGreenLargeOFF);
	DDX_Control(pDX, IDC_CHECK23, m_ckPinkSmallON);
	DDX_Control(pDX, IDC_CHECK37, m_ckPinkLargeON);
	DDX_Control(pDX, IDC_CHECK22, m_ckPinkSmallOFF);
	DDX_Control(pDX, IDC_CHECK36, m_ckPinkLargeOFF);
}


BEGIN_MESSAGE_MAP(CDlgSetUncertainAreas, CDialog)
END_MESSAGE_MAP()


// CDlgSetUncertainAreas message handlers

BOOL CDlgSetUncertainAreas::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_ckOrangeSmallON.SetCheck(0);
	m_ckOrangeLargeON.SetCheck(0);
	m_ckOrangeSmallOFF.SetCheck(0);
	m_ckOrangeLargeOFF.SetCheck(0);
	m_ckOrangeSmallGREY.SetCheck(1);
	m_ckOrangeLargeGREY.SetCheck(1);

	
	m_ckGreenSmallON.SetCheck(0);
	m_ckGreenLargeON.SetCheck(1);
	m_ckGreenSmallOFF.SetCheck(1);
	m_ckGreenLargeOFF.SetCheck(0);


	m_ckPinkSmallON.SetCheck(1);
	m_ckPinkLargeON.SetCheck(0);
	m_ckPinkSmallOFF.SetCheck(0);
	m_ckPinkLargeOFF.SetCheck(1);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgSetUncertainAreas::OnOK()
{
	// TODO: Add your specialized code here and/or call the base class
	m_OrangeLargeON = m_ckOrangeLargeON.GetCheck();
	m_OrangeSmallOFF = m_ckOrangeSmallOFF.GetCheck();
	m_OrangeLargeOFF = m_ckOrangeLargeOFF.GetCheck();
	m_OrangeSmallGREY = m_ckOrangeSmallGREY.GetCheck();
	m_OrangeLargeGREY = m_ckOrangeLargeGREY.GetCheck();

	m_GreenSmallON = m_ckGreenSmallON.GetCheck();
	m_GreenLargeON = m_ckGreenLargeON.GetCheck();
	m_GreenSmallOFF = m_ckGreenSmallOFF.GetCheck();
	m_GreenLargeOFF = m_ckGreenLargeOFF.GetCheck();


	m_PinkSmallON = m_ckPinkSmallON.GetCheck();
	m_PinkLargeON = m_ckPinkLargeON.GetCheck();
	m_PinkSmallOFF = m_ckPinkSmallOFF.GetCheck();
	m_PinkLargeOFF = m_ckPinkLargeOFF.GetCheck();

	
	CDialog::OnOK();
}
