// XMLHeader.h
// © 2004,2005 David Bridson
// Licenced under the GPL

#ifndef XMLHEADER_H
#define XMLHEADER_H

#include <stdio.h>

class CXMLDocType
{
	// CONSTRUCTION
public:
	CXMLDocType();
	CXMLDocType(char * m_sBaseElementName, char * m_sDTDFileName);
	~CXMLDocType();

	// METHODS
public:
	unsigned int ChangeState(unsigned int NewState);
	bool CreateFromFile(FILE * File);
	bool SetBaseElementName(char * NewBaseElementName);
	bool SetDTDFileName(char * NewDTDFileName);
	bool WriteToFile(FILE * File);
private:

	// DATA ITEMS
private:
	char * m_sBaseElementName;
	char * m_sDTDFileName;
	
	static const unsigned int ST_START                         = 1618786824;
/*	static const unsigned int ST_OPEN_TAG_START_MARKER         =   87168123;
	static const unsigned int ST_OPEN_TAG_INITIAL_WHITE_SPACE  =  275325964;
	static const unsigned int ST_OPEN_TAG_NAME                 = 1393595380;
	static const unsigned int ST_OPEN_TAG_INNER_WHITE_SPACE    = 1684203569;
	static const unsigned int ST_OPEN_TAG_RECURSING_ATT        =  487082390;
	static const unsigned int ST_OPEN_TAG_EMPTY_MARKER         =  425989189;
	static const unsigned int ST_OPEN_TAG_END_MARKER           = 1484862058;
	static const unsigned int ST_TAG_INNER_CONTENT             = 1389249562;
	static const unsigned int ST_OTHER_TAG_START_MARKER        = 1810442670;
	static const unsigned int ST_OTHER_TAG_INITIAL_WHITE_SPACE =   64708011;
	static const unsigned int ST_OTHER_TAG_CLOSE_MARKER        = 1946472750;
	static const unsigned int ST_OTHER_TAG_INNER_WHITE_SPACE   = 1003976267;
	static const unsigned int ST_OTHER_TAG_NAME                = 1749658885;
	static const unsigned int ST_OTHER_TAG_ENDING_WHITE_SPACE  =  921418963;
	static const unsigned int ST_OTHER_TAG_END_MARKER          =  655949530;
	static const unsigned int ST_TAG_RECURSING_CHILD           =  449323449;
	static const unsigned int ST_UNDEFINED                     =  498509274;*/
};

#endif // XMLHEADER_H
