#if !defined(GLOBALUTILFUNCTIONS_H__INCLUDED_)
#define GLOBALUTILFUNCTIONS_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//Sorting Functions
inline int qsort_int_compare(const void *arg1, const void *arg2)
{ return ( *((int*)arg1) - *((int*)arg2) );}

inline int qsort_float_compare(const void *arg1, const void *arg2)
{
	float diff= ( *((float*)arg1) - *((float*)arg2) );
	return (diff<0?-1:(diff>0?1:0));
}

inline int qsort_long_compare(const void *arg1, const void *arg2)
{return ( *((long*)arg1) - *((long*)arg2) );}

//Round up a foat number
inline int Round(float number)
{	return ((number - (int)number > 0.5)?((int)number+1):(int)number); }

//Timing Functions
#define GLTM_START	0x01
#define GLTM_STOP	0x02
#define GLTM_RESET	GLTM_START|GLTM_STOP

#pragma warning (disable : 4035 )
inline unsigned __int64 Global_GetCycleCount()
{	__asm _emit 0x0f __asm _emit 0x31 }
#pragma warning (default : 4035 )

int					Global_GetProcessorSpeed();
unsigned __int64	Global_Timing(BYTE Action = GLTM_RESET);
float				Global_SecsFromCycles(unsigned __int64 Cycles);

size_t wcstotchar(TCHAR * OutString, const wchar_t * InString, size_t OutStringLen);
size_t tchartowcs(wchar_t * OutString, const TCHAR * InString, size_t OutStringLen);

size_t tchartostr(char * OutString, const TCHAR * InString, size_t OutStringLen);


#endif // #if !defined(GLOBALUTILFUNCTIONS_H__INCLUDED_)
