#if !defined(LIBRARYDECLARATION_H__INCLUDED_)
#define LIBRARYDECLARATION_H__INCLUDED_

#ifndef IMAGE_CLASSES_NORMAL_USE
	#define IMG_DECL_CLASS	AFX_EXT_CLASS
#else
	#define IMG_DECL_CLASS
#endif

//Define Our Version of the IMPLEMENT_SERIAL macro, to be used with virtual base classes
//This will enable us to use CImage as a virtual Base Class, for Multiple Inheritance
//purposes.
#define IMPLEMENT_SERIAL_MI(class_name, base_class_name, wSchema) \
	CObject* PASCAL class_name::CreateObject() \
		{ return new class_name; } \
	extern AFX_CLASSINIT _init_##class_name; \
	_IMPLEMENT_RUNTIMECLASS(class_name, base_class_name, wSchema, \
		class_name::CreateObject, &_init_##class_name) \
	AFX_CLASSINIT _init_##class_name(RUNTIME_CLASS(class_name)); \
	CArchive& AFXAPI operator>>(CArchive& ar, class_name* &pOb) \
		{ pOb = dynamic_cast<class_name*> (ar.ReadObject(RUNTIME_CLASS(class_name))); \
			return ar; } \

#endif